Subject: bug#38587: base64-decode-region breaks encoding

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Dec 2019 17:13:45 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Something equivalent to what the manual has to say about it would be
> nice.

I've now added a slightly vague version what the manual says here to the
doc strings, but I think it should be factually correct.

I also noticed that the encode-coding-region/decode-coding-region doc
strings do not actually say the most important thing -- whether
"encoding" goes from bytes to text or the other way around, so I've now
made this extremely explicit, because I think there's a lot of confusion
in the area, and "encode" and "decode" in themselves don't actually mean
anything.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no